Show / Hide Table of Contents

# Class OpenIddictApplicationCache<TApplication>

Provides methods allowing to cache applications after retrieving them from the store.

##### Inheritance

System.Object
OpenIddictApplicationCache<TApplication>

##### Implements

System.IDisposable

###### Namespace: OpenIddict.Core

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictApplicationCache<TApplication> : IOpenIddictApplicationCache<TApplication>, IDisposable where TApplication : class

##### Type Parameters

Name | Description
--- | ---
TApplication | The type of the Application entity.

### Constructors

#### OpenIddictApplicationCache(IOptionsMonitor<OpenIddictCoreOptions>, IOpenIddictApplicationStoreResolver)

##### Declaration

    public OpenIddictApplicationCache(IOptionsMonitor<OpenIddictCoreOptions> options, IOpenIddictApplicationStoreResolver resolver)

##### Parameters

Type | Name | Description
--- | --- | ---
IOptionsMonitor<OpenIddictCoreOptions> | options |
IOpenIddictApplicationStoreResolver | resolver |

### Methods

#### AddAsync(TApplication, CancellationToken)

##### Declaration

    public ValueTask AddAsync(TApplication application, CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
TApplication | application |
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask |

#### Dispose()

##### Declaration

    public void Dispose()

#### FindByClientIdAsync(String, CancellationToken)

##### Declaration

    public ValueTask<TApplication> FindByClientIdAsync(string identifier, CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | identifier |
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask<TApplication> |

### Implements

System.IDisposable